
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>一个好用的ODBC数据库类CMYODBC / iVAN</title>

    <meta name="description" content="一个好用的ODBC数据库类CMYODBC 一.引言 感觉MFC的CRecordset类不是很好用,因为我们要想使用的话必须为每个查询从CRecordset类派生出一个新类,或者进行动态数据交换.在VC知识库第六期上面有一篇介绍&quot;单独使用CRecordset&quot;文章,可是上面的CRecordset打开方式只能使用CRecordset::forwardOnly,游标只能向前滚动,而且用这种方式,你根本无法从打开的记录集中获得本次查询得到了有多少列.有一次在应用的时候,我只好通过捕获CRecordset::GetFieldV ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">一个好用的ODBC数据库类CMYODBC</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一、引言</p>
<p>感觉MFC的CRecordset类不是很好用，因为我们要想使用的话必须为每个查询从CRecordset类派生出一个新类，或者进行动态数据交换。在VC知识库第六期上面有一篇介绍"单独使用CRecordset"文章，可是上面的CRecordset打开方式只能使用CRecordset::forwardOnly，游标只能向前滚动，而且用这种方式，你根本无法从打开的记录集中获得本次查询得到了有多少列。有一次在应用的时候，我只好通过捕获CRecordset::GetFieldValue（）的异常来得到查询的结果有多少列。为了使用的方便，我自己写了一个数据库类CMYODBC，它是用ODBC API写的，它支持各种sql语句，支持事务处理。它最好的地方在于，对于查询的记录集实现了动态绑定，这是通过类CODBCSet来实现的。要说明的是，这两个类可以说比较简单，两个类的代码量很少，所以建议感兴趣的朋友看一下它的代码，下图是本代码运行效果图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTIwVjIxNTIzOTI0NTAyOTIwMy5naWY=.jpg"></p>
<p>二、原理</p>
<p>其实无论是使用ODBC API还是使用ORACLE的OCI（对于ORACLE的OCI感兴趣的朋友，欢迎一起探讨，OCI的功能很强大，支持动态绑定，支持pl/sql，它的类的封装和CMYODBC很相似，用它来代替ODBC编程，可以解决ODBC的效率问题）其过程都很相似，一般分为以下几个过程：</p>
<p>1 初始化工作环境</p>
<p>2 连接数据源</p>
<p>3 操作数据源</p>
<p>4 检索结果集</p>
<p>5 更新结果集</p>
<p>6 事务处理</p>
<p>7 断开连接，释放各种句柄</p>
<p>大家都知道在使用CDatabase时候，如果要执行的是select语句的话，那么要通过CRecordset来检索结果集，而CRecordset类要我们先选择表等来先进行绑定，这样我们使用的时候很不方便，其实我们根本不需要这样做，而且我们也不需要知道这次执行的是关于那个数据库那张表的sql语句，因为在执行完SQLExecDirect()后，可以通过调用SQLNumResultCols() 、SQLColAttribute()等函数来获得执行的结果的很多属性，如这次执行的结果集是多少列、每列的字段名、列的类型等，然后根据类型可以动态分配内存，然后在用这些内存去绑定，最后能过SQLFetch()来得到结果集。在CMYODBC这个类里是通过CODBCSet类应用上面的原理来实现自动绑定的。</p>
<p>下面介绍一下类CMYODBC的使用方法：</p>
<p>1 　通过调用ConnectDB(const char *cpServerName, const char *cpUserName, const char *cpPassword)函数来联接数据库。其中的参数意义如下：</p>
<p>cpServerName-----ODBC数据源名</p>
<p>cpUserName-------用户名</p>
<p>cpPassword-----口令</p>
<p>2 　通过调用ExeSqlDirect(const char *cpSqlStmt)函数可以执行一些操作数据源的语句，如修改、删除语句等。其中的参数意义如下： cpSqlStmt------你要执行的sql语句，如delete from emp where deptno &lt; 20</p>
<p>3 　如果要执行事务的话，调用ExecTrans(CStringList &amp;strSqlList)函数，其中的参数 strSqlList表示你要执行的一系列sql语句。</p>
<p>4　如果要执行select语句的话，通过下面的步骤：</p>
<p>I 声明一个CODBCSet　对象，如 CODBCSet rSet;</p>
<p>II然后调用函数PrepareSql(const char *cpSql, CODBCSet &amp;rset)，其中的参数的意义如下：</p>
<p>cpSql----代表要执行的select语句</p>
<p>rset-----表示一个CODBCSet的引用，你要把上面声明的对象传递进去。</p>
<p>III调用FetchData（）函数来取得结果集。</p>
<p>5 通过调用函数DisConnect（）断开和数据源的连接。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-23 05:01:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e7%bb%93%e6%9e%9c/" title="结果">结果</a>, <a href="https://www.iamivan.net/tag/%e8%af%ad%e5%8f%a5/" title="语句">语句</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e6%ba%90/" title="数据源">数据源</a>, <a href="https://www.iamivan.net/tag/rset%e8%af%ad%e5%8f%a5/" title="RSet语句">RSet语句</a>, <a href="https://www.iamivan.net/tag/%e4%b8%8d%e7%a1%ae%e5%ae%9a%e6%95%b0%e6%8d%ae%e5%a4%9a%e5%b0%91%e7%9a%84%e7%b1%bb/" title="不确定数据多少的类">不确定数据多少的类</a>, <a href="https://www.iamivan.net/tag/crecordset/" title="crecordset">crecordset</a>, <a href="https://www.iamivan.net/tag/cstringlist/" title="cstringlist">cstringlist</a>, <a href="https://www.iamivan.net/tag/%e6%94%af%e6%8c%81%e5%a4%9a%e5%b0%91%e4%b8%aa%e5%8f%82%e6%95%b0/" title="支持多少个参数">支持多少个参数</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>一个好用的ODBC数据库类CMYODBC的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pLPPkp.html" rel="bookmark">MySQL数据库SQL语句的C&plus;&plus; ODBC接口类测试结果 &lpar;转载&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				c++|mysql|odbc|数据|数据库|语句 发信人: engineer (剑胆琴心~还是得走,sigh...), 信区: Linux 标  题: MySQL数据库SQL语句的C++ ODBC接口类测试结果 (转载) 发信站: BBS 水木清华站 (Mon Aug  9 18:03:47 1999)   [ 以下文字转载自 Database 讨论区 ] [ 原文由 engineer 所发表 ]         MySql数据库SQL语句的C++ ODBC接口类测试结果            			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm7EJDb.html" rel="bookmark">对《一个完善的ODBC数据库程序》一文的补充</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编者注:本文是作者对不久前发布的一篇文章的补充,在阅读本文之前,最好先看一下原来的文章:&quot;一个完善的ODBC数据库程序&quot;. 从方便用户的角度考虑,应该在程序中采用动态创建数据源.经过编者的提醒,我查找了一些资料,还好最终实现了.代码如下: int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct) { if (CFrameWnd::OnCreate(lpCreateStruct) == -1) return -1; //取的数据库的路			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg3KL8M.html" rel="bookmark">codeigniter自带数据库类使用方法说明</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 在 CodeIgniter 中,使用数据库是非常频繁的事情.你可以使用框架自带的数据库类,就能便捷地进行数据库操作 初始化数据库类   依据你的数据库配置载入并初始化数据库类:   代码如下: this-&gt;load-&gt;database();     被载入之后你可以在任何地方使用它.   以对象形式返回查询结果    代码如下: $query = $this-&gt;db-&gt;query('SELECT name, title, email FROM my_table');   fore			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5o1gab.html" rel="bookmark">codeigniter自带数据库类使用方法说明&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				初始化数据库类 依据你的数据库配置载入并初始化数据库类: 复制代码 代码如下: this-&gt;load-&gt;database(); 被载入之后你可以在任何地方使用它. 以对象形式返回查询结果 复制代码 代码如下: $query = $this-&gt;db-&gt;query('SELECT name, title, email FROM my_table'); foreach ($query-&gt;result() as $row){    echo $row-&gt;title;    ec			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQNJGM.html" rel="bookmark">html-本人菜鸟一枚，请教大神一个关于CSS中ID和类选择器不能用，而标签选择器能用的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 本人菜鸟一枚,请教大神一个关于CSS中ID和类选择器不能用,而标签选择器能用的问题 FIREFOX浏览器,代码如下: HTML代码片段: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; @import url(template/default/styl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MYLQVb.html" rel="bookmark">php－－-数据库类封装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为了节省以后的时间,今天封装了操作sql语句的一个类,在此保存起来,方面以后使用. 这个类的文件名:SqlTool.class.php 主要有dql和dml两个函数 看下面的源码&quot; &lt;?php class SqlTool{ private $conn; private $username=&quot;root&quot;; private $password=&quot;1234&quot;; private $host=&quot;127.0.0.1&quot;; private $db			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Xpm105p.html" rel="bookmark">ASP的数据库类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据|数据库 ASP的数据库类 一.前言 提到ASP操作数据库,大多数人会想到:共用的连接字串ConStr.Conn.Open ConStr建立数据库连接.Conn.Execute SqlCmd方式执行命令.RecordSet.Open Sql,Conn,1,1取得记录集,的确这种方法被99%的人或公司采用.对于操作数据库过程中产生的错误,恐怕99%的人不会进行处理,要么在程序的开头加入on error resume next&quot;轻松&quot;跳过去.要么让错误信息连同错误代码一同&quot;暴			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRkPOz.html" rel="bookmark">MySQL数据库类的定义</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				俗话说&quot;好的开始是成功的一半&quot;,而PHP+MySQL项目中数据库的操作是重点之一,能否简化数据库操作程序的编写,就成了影响工作效率的关键之一. 所以小阳并不是一开始就做页面,而是先建立一个&quot;dbclass.php&quot;文件,开始编写操作MySQL数据库的类&quot;dbClass&quot;.即在&quot;dbclass.php&quot;中编写以下程序: $db_username=&quot;myusername&quot;; //连接数据库的用户名 $db_pa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4wZkNp.html" rel="bookmark">php备份数据库类分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 php备份数据库类分享 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMynYJp.html" rel="bookmark" class="title">让输入框关闭自动完成（AutoComplete）功能</a>
					<div>
						浏览器自动完成功能让我们填写表单更加方便,可是有时我们并不想浏览器把我们输入的内容记录下来,例如信用卡号码,或者其它需要保密的东东. 现在我们可以用input的一个属性autocomplete. 这是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ91Kb.html" rel="bookmark" class="title">asp&plus;语法介绍&lpar;三&rpar;----asp&plus;的服务器端编程初步</a>
					<div>
						asp+|编程|服务器|语法|服务器 /* 文章出处:http://www.aspCool.com 转载请注明,谢谢! */ 这一章介绍关于Asp+的服务器端的控件 除了使用&lt;%%&gt;号以外 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKydap.html" rel="bookmark" class="title">实现树状结构的两种方法</a>
					<div>
						实现树状结构的两种方法1.递归法递归是指在函数中显式的调用它自身.利用递归法实现树状结构的特点是写入数据速度较快,显示速度较慢(在树的分支/层次较多的情况下尤其明显).适用与写入数据量大,树的结构复杂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBORdM.html" rel="bookmark" class="title">友情连接浏览器</a>
					<div>
						1.拷贝下面的代码到你的html文件的&lt;head&gt;和&lt;/head&gt;之间 &lt;SCRIPT language=JavaScript&gt; &lt;!-- function  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPE11z.html" rel="bookmark" class="title">Netscreen SSG5基于L2TP协议拨号平台的搭建</a>
					<div>
						隧道技术及L2TP隧道简介 隧道协议有很多种,不同的隧道协议工作在不同的TCP/IP层 隧道技术(Tunneling) 隧道技术的基本过程是在源局域网与公网的接口处将数据(可以是ISO 七层模型中的数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLAxkb.html" rel="bookmark" class="title">无线USB技术简介</a>
					<div>
						无线USB是用来连接一些外围设置而推出的技术,比如打印机.外置式硬盘.声卡.媒体播放器甚至可以实现无线视频播放.你可以通过两种方式实现这种应用.如果你的PC或者是相关设备并不支持无线USB技术,那么你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyNndb.html" rel="bookmark" class="title">Android开发中缺少NDT选项和C&sol;C&plus;&plus; Build选项的问题</a>
					<div>
						时间: 2014.9.3 使用ADT(Android Developer Tools)是没有NDT选项, 使用起来比较麻烦, 建议使用标准Eclipse再装Android. 默认Android项目是没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNWJvb.html" rel="bookmark" class="title">编辑邮件时去掉回车光标跟随</a>
					<div>
						如图,在test 处的回车符,习惯了干净的界面,对这个的却有点烦.如何取消,点如图处的下拉箭头--more commands--Display--Paragraph mark.去掉前面的勾. 查看本栏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE67woM.html" rel="bookmark" class="title">jQuery插件zepto&period;js简单实现tab切换&lowbar;jquery</a>
					<div>
						老规矩,先贴代码 &lt;script&gt; $(function(){ window.onload = function() { var $li = $('.taocan-title li');  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6REAM.html" rel="bookmark" class="title">这是为什么啊</a>
					<div>
						问题描述 publicForm1(){InitializeComponent();}publicHealthChekItemwidth,height,shili,tingli,gangong,xind ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boReVXz.html" rel="bookmark" class="title">天猫魔盒1S：电视购物新体验</a>
					<div>
						     互联网电视盒(通称盒子)是传统电视改良过渡中重要的一环,可以让呆板乏味的传统电视接入互联网,获取丰富的视频资源,很合时宜地迎合了时下人们的需求.然而这并不意味着内容资源是衡量盒子的主要标准, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NBJmz.html" rel="bookmark" class="title">TensorFlow教程之API DOC 6&period;3&period;5&period; FRAMEWORK</a>
					<div>
						本文档为TensorFlow参考文档,本转载已得到TensorFlow中文社区授权. Building Graphs Contents Building Graphs Core graph data  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGA7goM.html" rel="bookmark" class="title">azure-Rest API 列出Blob 代码或者文档都可以</a>
					<div>
						问题描述 Rest API 列出Blob 代码或者文档都可以 最近需要用rest api去list Azure存储容器里的blob 有没有现成的代码文档可以让我参考参考 解决方案 Hi 关于Rest  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQDB7p.html" rel="bookmark" class="title">wpf-WPF DATAGRID 自定义列</a>
					<div>
						问题描述 WPF DATAGRID 自定义列 datagrid 自定义列 DataTemplate 中,在xaml中怎么根据数据源的值做更改,例如: &lt;Button Text=&quot;{Bi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLaZWp.html" rel="bookmark" class="title">排序算法-关于冒泡排序法的疑惑</a>
					<div>
						问题描述 关于冒泡排序法的疑惑 冒泡排序法的代码 int n=0; int temp = 0; for (int i = a.length - 1; i &gt; 0; --i) { for (int ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKE60z.html" rel="bookmark" class="title">数据可视化工具是否可容开源一席之位？</a>
					<div>
						目前,商业工具在数据虚拟化软件市场占据主导地位,但在数据管理和分析等领域,开源技术开始迎头赶上,比如D3.js数据可视化库,Leaflet地图库,再加上附加交互可视化功能的R语言(一种广泛用于统计分析 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3r54gz.html" rel="bookmark" class="title">旷视、商汤竞相融资，新一轮 CV 公司角逐的枪声打响</a>
					<div>
						语音巨头科大讯飞也做计算机视觉了.在近期的国际自动驾驶领域权威测评集 Cityscapes 上,它取得了该项测评的第一名,并刷新了世界纪录.这是它继医学影像权威评测 LUNA 之后在计算机视觉领域获得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAv72p.html" rel="bookmark" class="title">Power to Give计划让手机获得等同于超级计算机的运算能力</a>
					<div>
						摘要: 据说,在分布式计算飞速发展的当下改进超级计算机已经没有意义,比如HTC的Power to Give计划就能让你的手机获得等同于超级计算机的运算能力.即便如此,将超级计算机小型化的尝试还 据说, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvmenrb.html" rel="bookmark" class="title">Linux下oracle如何定时备份并删除几天前的数据</a>
					<div>
						问题描述 Linux下oracle如何定时备份并删除几天前的数据 在linux环境下的,oracle数据的备份删除,应该怎么操作 解决方案 写一个shell脚本就可以,这样可以把数据传输到远程 tod ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJxr8p.html" rel="bookmark" class="title">WordPress 可以触发 Linux 上的 Ghost 缺陷</a>
					<div>
						WordPress 可以触发 Linux 上的 Ghost 缺陷 建议用户马上更新可用的补丁 这个漏洞之前由Qualys的安全研究员发现,并取了绰号叫Ghost,可以利用WordPress或其他PHP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9x2DKb.html" rel="bookmark" class="title">heatmap-这种hightcharts图怎么修改每个色块的颜色</a>
					<div>
						问题描述 这种hightcharts图怎么修改每个色块的颜色					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xA4Zb.html" rel="bookmark" class="title">Android 小项目之--解析如何获取SDCard 内存</a>
					<div>
						  1.讲述 Environment 类. 2.讲述 StatFs 类. 3.完整例子读取 SDCard 内存 1.讲述 Environment 类 Environment 是一个提供访问环境变量的类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyD3xz.html" rel="bookmark" class="title">api-android关注微信公众号</a>
					<div>
						问题描述 android关注微信公众号 碗豆荚APP,有个按钮关注微信公众号功能,点击就启动了微信,并在微信中弹出了这个框,请问谁知道微信API是哪个? 解决方案 AutodeskADN 欢迎大家关注 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEaq0p.html" rel="bookmark" class="title">关于JavaScript的面向对象和继承有利新手学习&lowbar;javascript技巧</a>
					<div>
						这是一篇关于JavaScript的面向对象和继承的文章,写于1年前,作者循序渐进,对想学习JavaScript中面向对象的同学来说是很有帮助的,因此试着翻译一下,不妥之处,请指正.原文链接Object ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGr56kp.html" rel="bookmark" class="title">IE8中使用javascript动态加载CSS的解决方法&lowbar;javascript技巧</a>
					<div>
						众所周知做前端开发的都恨不得踹IE开发者几脚,IE开发者名声之差不低于GFW开发者,昧着良心搞坏市场,人人得而诛之,但是在中国这些地方市场占有率摆在那里,没办法只能向现实低头. 最近我们产品需要在浏览 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0ywyz.html" rel="bookmark" class="title">asp&period;net 函数的定义 返回值 调用方法详解说明&lpar;vb&period;net&sol;c&num;&rpar;</a>
					<div>
						asp教程.net 函数的定义 返回值 调用方法详解说明(vb.net/c#),首页我们来看一个vb.net中开的asp.net教程创建一个函数的做法,如下 &lt;script runat=&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9ja2dp.html" rel="bookmark" class="title">页面加载时间太长，各位大神看看是什么问题？</a>
					<div>
						问题描述 http://www.zcmall.com/stocknews/jjtyjzalkgqgg.html网站理财学院下面的文章详情页面打开都很慢.没找到什么原因,来csbn求助大神了 解决方案  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2YJlrz.html" rel="bookmark" class="title">广州警方举办打击电话诈骗犯罪咨询活动</a>
					<div>
						本报今天消息 记者尹安学,通讯员曾祥龙.孜亚依丁报道:&quot;接到来历不明的电话,千万别慌张!&quot;今天上午10时许,在广州英雄广场举行的&quot;打击犯罪.共创平安---警民携手,打击防 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAgoap.html" rel="bookmark" class="title">腾讯：微信并未申请支付牌照</a>
					<div>
						一夜之间,微信将获颁支付牌照的消息成为全行业热点.不过似乎落花有意,流水无情.南都记者昨日从腾讯了解到,微信并没有申请支付业务许可证(下称&quot;第三方支付牌照&quot;). 可以确定的是,腾讯 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zendqjb.html" rel="bookmark" class="title">张顺颐：光纤到户是实现三网融合的技术基础</a>
					<div>
						本报记者 林琳 中国互联网络信息中心发布的&lt;第27次中国互联网络发展状况统计报告&gt;显示,截至2010年12月底,我国网民规模达到4.57亿人,网民总量居世界第一.中国互联网络信息中心这份报 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
